cancel
Showing results for 
Search instead for 
Did you mean: 

PSoC 4

Wim
New Contributor

We have a CYBLE-212019-00 BLE device with a custom service for reading some measurement values.

In the old versions of Android (5 and 6) everything worked fine. We could read the whole Gatt DB with the CySmart app and with our own app. But with Android 8 and up (f.e. 10), the connection is lost in max. 30 seconds and it is impossible to read any values of the characteristics. Even f.e. "Device Information" characteristics cannot be read at all.

(The iOS apps have no problems)

Software for the CYBLE-212019-00 has been made with PSoC Creator 4.0

How can we solve this problem?

0 Likes
1 Reply
VenkataD_41
Moderator
Moderator

Hi,

What is the version of BLE component that you are using in your application? Please use latest version of BLE component i.e. BLE v3.66 for your project. Also we recommend you to use latest version of PSoC Creator i.e. PSoC Creator 4.4 to develop your application.

Still after following above instructions if you face the issue, please attach the truncated version of the project so that we can test it here.

Thanks

Ganesh

0 Likes